summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlastair Tse <liquidx@gentoo.org>2003-04-09 09:21:55 +0000
committerAlastair Tse <liquidx@gentoo.org>2003-04-09 09:21:55 +0000
commit3de266ae92327a3ce98ea168d6f880a168529f90 (patch)
tree6d463664cbc728f571d39c98ee485551f84d36f5 /eclass/gnome2.eclass
parentSecurity update (diff)
downloadhistorical-3de266ae92327a3ce98ea168d6f880a168529f90.tar.gz
historical-3de266ae92327a3ce98ea168d6f880a168529f90.tar.bz2
historical-3de266ae92327a3ce98ea168d6f880a168529f90.zip
allow gnome2_src_configure/compile to have more than 1 parameter
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index fd4f334e53ad..9c3a78c39210 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.28 2003/02/24 23:23:56 liquidx Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.29 2003/04/09 09:21:55 liquidx Exp $
#
# Authors:
# Bruce A. Locke <blocke@shivan.org>
@@ -31,13 +31,13 @@ gnome2_src_configure() {
# doc keyword for gtk-doc
use doc && G2CONF="${G2CONF} --enable-gtk-doc" || G2CONF="${G2CONF} --disable-gtk-doc"
- econf ${1} ${G2CONF} || die "./configure failure"
+ econf ${@} ${G2CONF} || die "./configure failure"
}
gnome2_src_compile() {
- gnome2_src_configure ${1}
+ gnome2_src_configure ${@}
emake || die "compile failure"
}